/**
 * @file clock.h
 *
 * @brief This file contains the definitons for timer functions for
 *        the I2C-MP-USB firmware project.
 *
 * @author Thomas Fischl
 * @copyright (c) 2017-2019 Thomas Fischl
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * 
 */

#ifndef _CLOCK_
#define _CLOCK_

#define TMR_RELOAD_CORRECTION 1

void clock_init(void);
inline void clock_isr(void);
uint16_t clock_getMSTicker(void);
#define clock_diff(x) ((uint16_t) (clock_getMSTicker() - x))
#define clock_disableISR() TMR1IE = 0;
#define clock_enableISR() TMR1IE = 1;

#endif

