/**
 * @file statusreport.h
 *
 * @brief This file contains definitons for status report functions for the USBlini
 *        firmware project.
 *
 * @author Thomas Fischl (https://www.fischl.de/contact.html)
 * @copyright (c) 2021 Thomas Fischl
 * 
 * This file is part of the USBlini firmware project and is copyrighted by the
 * authors listed above. It is free for private or educational non-commercial use
 * (for a commercial license please contact the authors). It may not be
 * redistributed without the prior written consent of the authors.
 *
 * It is provided "as is" without warranty of any kind, either express or implied,
 * including without limitation any implied warranties of condition, uninterrupted
 * use, merchantability, fitness for a particular purpose, or non-infringement. In
 * no event shall the authors be liable for any direct or indirect damages arising
 * in any way out of the use of it.
 *
 */
#ifndef STATUSREPORT_H
#define	STATUSREPORT_H

#define ERRORFLAG_EP1_OVERFLOW (1 << 0)
#define ERRORFLAG_ABAUD_OVERFLOW (1 << 1)
#define ERRORFLAG_MISSING_ECHO (1 << 2)

void statusreport_init(void);
void statusreport_reset(void);
void statusreport_setErrorflag(uint8_t flag);
void statusreport_clearErrorflags(uint8_t mask);
void statusreport_setSlaveTableStatus(uint8_t tableid, uint16_t status);
void statusreport_process(void);

#endif	/* STATUSREPORT_H */

